Package com.usatiuk.dhfs.peersync

# Class PersistentPeerDataService

java.lang.Object
com.usatiuk.dhfs.peersync.PersistentPeerDataService

@ApplicationScoped public class PersistentPeerDataService extends Object

## Constructor Summary

Constructors
Constructor
Description
`PersistentPeerDataService()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPersistentPeerAddress(PeerId peerId, IpPeerAddress address)`
`IpPeerAddress`
`getPersistentPeerAddress(PeerId peerId)`
`List<IpPeerAddress>`
`getPersistentPeerAddresses()`
`X509Certificate`
`getSelfCertificate()`
`KeyPair`
`getSelfKeypair()`
`PeerId`
`getSelfUuid()`
`boolean`
`isInitialSyncDone(PeerId peerId)`
`boolean`
`markInitialSyncDone(PeerId peerId)`
`void`
`removePersistentPeerAddress(PeerId peerId)`
`boolean`
`resetInitialSyncDone(PeerId peerId)`
`void`
`updateCerts()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PersistentPeerDataService

public PersistentPeerDataService()

## Method Details

### getSelfUuid

public PeerId getSelfUuid()

### updateCerts

public void updateCerts()

### getSelfKeypair

public KeyPair getSelfKeypair()

### getSelfCertificate

public X509Certificate getSelfCertificate()

### markInitialSyncDone

public boolean markInitialSyncDone(PeerId peerId)

### resetInitialSyncDone

public boolean resetInitialSyncDone(PeerId peerId)

### isInitialSyncDone

public boolean isInitialSyncDone(PeerId peerId)

### getPersistentPeerAddresses

public List<IpPeerAddress> getPersistentPeerAddresses()

### addPersistentPeerAddress

public void addPersistentPeerAddress(PeerId peerId, IpPeerAddress address)

### removePersistentPeerAddress

public void removePersistentPeerAddress(PeerId peerId)

### getPersistentPeerAddress

public IpPeerAddress getPersistentPeerAddress(PeerId peerId)